Bug 732213 - Update v8 to 3.4.14
Summary: Update v8 to 3.4.14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: v8
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 732552
TreeView+ depends on / blocked
 
Reported: 2011-08-20 21:02 UTC by T.C. Hollingsworth
Modified: 2018-04-11 14:26 UTC (History)
5 users (show)

Fixed In Version: v8-3.3.10-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-20 02:32:47 UTC


Attachments (Terms of Use)
output of diff -u v8-spot.spec v8-fedora.spec (9.01 KB, patch)
2011-08-23 15:36 UTC, Matěj Cepl
no flags Details | Diff
include JS minifier scripts in -devel (1.38 KB, patch)
2011-08-24 20:19 UTC, T.C. Hollingsworth
no flags Details | Diff

Description T.C. Hollingsworth 2011-08-20 21:02:59 UTC
Please update to new upstream release 3.4.14.  The outdated version in Fedora is causing node.js to segfault on i686.

Comment 1 Matěj Cepl 2011-08-22 00:07:00 UTC
I suspect that this has been fixed in Rawhide with build v8-3.5.1-1.fc17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3290594). Please test, whether this is correct build.

One quite problematic thing is that this V8 conflicts with the library required by chromium-browser from the unofficial repo (which still has v8-3.3.10-1.fc16.x86_64).

Comment 2 Matěj Cepl 2011-08-22 00:14:51 UTC
Though it seems your nodejs-0.4.11-1.fc16.x86_64 does build and work with v8 from the chromium repo.

Comment 3 T.C. Hollingsworth 2011-08-22 02:08:28 UTC
(In reply to comment #2)
> Though it seems your nodejs-0.4.11-1.fc16.x86_64 does build and work with v8
> from the chromium repo.

Yes, that's what I've been building against locally, actually.  I should have checked that, but I just quickly checked the latest upstream release when filing this bug.  Node.js stable is currently bundling 3.1.8, so that version should be fine.

I did some further testing today and I think it's either the outdated libeio or http_parser packages is causing the i686 build to fail.  The koji build completes when I use the bundled versions of those.  I've filed in bugs on those too, but I'm probably going to have to do the unresponsive maintainer dance on those in a couple weeks.

Comment 4 Matěj Cepl 2011-08-22 07:42:20 UTC
Tom, couldn't we get your chromium v8 officially into Fedora and have it as the official v8? What's the problem with that?

Comment 5 Matěj Cepl 2011-08-22 07:44:42 UTC
(In reply to comment #3)
> I did some further testing today and I think it's either the outdated libeio or
> http_parser packages is causing the i686 build to fail.  The koji build
> completes when I use the bundled versions of those.  I've filed in bugs on
> those too, but I'm probably going to have to do the unresponsive maintainer
> dance on those in a couple weeks.

I can help you with these (I am a provenpackager), but my real work is now sneaking on me. If we won't get any trackion on these bugs, could you prepare me patches and I would push them to koji/bodhi/etc.?

Comment 6 Matěj Cepl 2011-08-22 07:47:54 UTC
(In reply to comment #5)
> I can help you with these (I am a provenpackager), but my real work is now
> sneaking on me. If we won't get any trackion on these bugs, could you prepare
> me patches and I would push them to koji/bodhi/etc.?

Damn, traction.

Comment 7 Matěj Cepl 2011-08-23 15:19:00 UTC
This is the current state

bradford:v8 (master) $ rpmdiff spot-v8-3.3.10-1.fc16.src.rpm v8-3.3.10-1.fc17.src.rpm 
removed     REQUIRES libicu-devel  
added       v8-2.5.9-ccflags.patch
added       v8-2.5.9-shebangs.patch
removed     v8-3.2.10-always-false.patch
removed     v8-3.3.10-enable-experimental.patch
removed     v8-3.3.10-language-matcher-fix.patch
.M.....UG.. v8-3.3.10.tar.bz2
added       v8-3.5.1-versioned-v8.patch
removed     v8-daily-tarball.sh
added       v8-js2c
S.5....UG.T v8.spec
bradford:v8 (master) $

Comment 8 Matěj Cepl 2011-08-23 15:36:36 UTC
Created attachment 519481 [details]
output of diff -u v8-spot.spec v8-fedora.spec

Comment 9 Matěj Cepl 2011-08-23 17:43:38 UTC
After discussing this with spot and former V8 maintainer I would suggest we should just switch to the spot's spec file. Currently it is in master-restart branch of the git repo, and built as
http://koji.fedoraproject.org/koji/taskinfo?taskID=3295985

Anybody any comments on this course of action?

Comment 10 T.C. Hollingsworth 2011-08-24 20:19:40 UTC
Created attachment 519717 [details]
include JS minifier scripts in -devel

Sounds good to me, as long as we can get the Python scripts into spot's version of -devel so we can build nodejs with the deps directory rmed.

I'm attaching a patch to the master-restart branch that does this.

Comment 11 Matěj Cepl 2011-08-25 06:44:23 UTC
What do you think about http://koji.fedoraproject.org/koji/taskinfo?taskID=3300198 (see diff against the master branch on http://is.gd/6YxHtC … that includes your patch)?

Comment 12 T.C. Hollingsworth 2011-08-26 02:00:02 UTC
Those scripts have /usr/bin/python2.4 in their shebang, which RPM automatically makes a quite unsatisifiable dependency for.

While jsmin.py is fine in %python_sitelib, j2sc is an executable script, not a module, and probably doesn't belong there.

So, we should probably patch the shebang out of jsmin.py, as stuff in python_sitelib shouldn't even have shebangs (rpmlint complains about this methinks), and patch j2sc to use a more generic or updated shebang.

Technically, j2sc isn't needed by nodejs (it ships its own version), but given that you did more work on it perhaps its useful to others?

Comment 13 Matěj Cepl 2011-08-26 10:04:53 UTC
(In reply to comment #12)
> Technically, j2sc isn't needed by nodejs (it ships its own version), but given
> that you did more work on it perhaps its useful to others?

I don't care about js2c, I just don't want to throw what we already have. What is js2c actually good for?

Comment 14 T.C. Hollingsworth 2011-08-26 20:26:12 UTC
(In reply to comment #13)
> I don't care about js2c, I just don't want to throw what we already have. What
> is js2c actually good for?

It converts JavaScript to C.  Node.js uses it for the core libraries it ships (in the lib directory of the tarball) so they're faster.

Comment 15 Matěj Cepl 2011-08-27 22:22:45 UTC
In the end I have decided that the special branch is more confusing than helpful, so I have merged back into master and (with included jsmin.py handling) it is built as http://koji.fedoraproject.org/koji/taskinfo?taskID=3305985 (v8-3.3.10-4.fc17).

nodejs-0.4.11-3.fc16 builds with it locally.

Any complaints against this build, or we'll call it a day for v8 for now?

Comment 16 Matěj Cepl 2011-09-01 15:07:48 UTC
(In reply to comment #15)
> Any complaints against this build, or we'll call it a day for v8 for now?

Timeout waiting on response. Pushing to F16 and EL6 as well.

Comment 17 Fedora Update System 2011-09-01 15:23:04 UTC
v8-3.3.10-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/v8-3.3.10-4.fc16

Comment 18 Fedora Update System 2011-09-01 15:39:42 UTC
v8-3.3.10-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/v8-3.3.10-4.el6

Comment 19 Fedora Update System 2011-09-01 19:03:23 UTC
Package v8-3.3.10-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing v8-3.3.10-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/v8-3.3.10-4.fc16
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2011-09-20 02:32:36 UTC
v8-3.3.10-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-09-30 18:45:38 UTC
v8-3.3.10-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.